SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000532SiT!permissionspublic2009-02-28 18:402009-08-16 14:38
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000532: Configurable roles
DescriptionWould be very useful if we could create additional roles.

e.g. Contractor, No Access

So we can assign specific limited rights to 'special' users rather than removing the rights from all users and adding them by hand

A brief scan of the code looks like all that is needed is an interface to add the role as the permissions code does not seem to have anything hard coded for the existing three roles
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000681)
ivan (administrator)
2009-03-01 20:22

You're right, roles are limited only by the interface. The currently interface would be clumsy with more than 3 columns for roles however.
User avatar (0000743)
paulh (administrator)
2009-03-07 13:12

We tested adding one to the DB and didn't seem to make the interface clumsy, could perhaps if you have lots defined
User avatar (0000748)
ivan (administrator)
2009-03-07 15:15

Perhaps the page could display/edit 5 (say) roles at a time and have a link to display more roles?
User avatar (0000757)
paulh (administrator)
2009-03-07 17:56

trunk.r5238 adds an interface to add roles, tested with upto 10 and no problems
User avatar (0000761)
ivan (administrator)
2009-03-09 16:25

The ability to delete them as well would be good. Just added 10 tests and can't get rid.
User avatar (0000779)
paulh (administrator)
2009-03-13 19:15

Added in SVN, if people do get lots of roles and the interface becomes unwieldy then we can review displaying only X at a time
User avatar (0001601)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-02-28 18:40 paulh New Issue
2009-03-01 20:22 ivan Note Added: 0000681
2009-03-05 14:25 ivan Severity minor => feature
2009-03-07 13:12 paulh Note Added: 0000743
2009-03-07 13:12 paulh Status new => confirmed
2009-03-07 13:12 paulh Category other => Permissions
2009-03-07 13:12 paulh Target Version => 3.50
2009-03-07 14:15 paulh Assigned To => paulh
2009-03-07 14:15 paulh Projection none => tweak
2009-03-07 14:15 paulh ETA none => < 1 day
2009-03-07 15:15 ivan Note Added: 0000748
2009-03-07 17:56 paulh Note Added: 0000757
2009-03-08 11:56 paulh Status confirmed => assigned
2009-03-09 16:25 ivan Note Added: 0000761
2009-03-13 19:15 paulh Note Added: 0000779
2009-03-13 19:15 paulh Status assigned => resolved
2009-03-13 19:15 paulh Resolution open => fixed
2009-03-13 19:15 paulh Fixed in Version => Current SVN
2009-08-16 13:17 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001601
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker